#! FluxPEEC 18.0


newProject()

lastInstance = ApplicationImpedanceConductorsPEEC(automaticConductorMaterial=Material['COPPER'])

Scenario(name='Scenario_1')

startMacroTransaction()

Scenario['Scenario_1'].addPilot(pilot=MonoValue(parameter=VariationParameter['FREQUENCY'],
											 value=1000000.0))

endMacroTransaction()

importCADFromAcisFile(fileName='PowerModule_Geometry.SAT',
				   coordSys=CoordSys['XYZ1'],
				   healing=1)

makeHoleDefeaturing(maxDiameterHole=0.005,
				 list=[GeometricObject['OBJECT_IMPORT_167'],
					   GeometricObject['OBJECT_IMPORT_176']])

makeChamferDefeaturing(maxWidthChamfer=0.005,
					list=[GeometricObject['OBJECT_IMPORT_167']])

makeBlendDefeaturing(maxRadiusBlend=0.005,
				  maxAngleBlend=175.0,
				  list=[GeometricObject['OBJECT_IMPORT_167'],
						GeometricObject['OBJECT_IMPORT_176']])

healingImportCADToStandardGeometry()

Color['White'].code=[255,
				  255,
				  255]

Point[ALL].color=Color['White']

Line[ALL].color=Color['White']


saveProjectAs('geobuilt.FLU')

